Nimbu Developer Docs
ReferenceProducts

List products for the site

GET
/products

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Response Body

application/json

curl -X GET "https://example.com/products"
[
  {
    "name": "string",
    "requires_shipping": true,
    "weight": 0,
    "sku": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "variants": [
      {}
    ],
    "id": "string",
    "url": "http://example.com",
    "slug": "string",
    "description": "string",
    "type": "string",
    "status": "string",
    "scope": "string",
    "price": 0,
    "on_sale": true,
    "on_sale_price": 0,
    "variants_enabled": true,
    "keep_stock": true,
    "current_stock": 0,
    "amount_in_cart": 0,
    "amount_sold": 0,
    "vendor": "string",
    "checkout_profile_id": "string",
    "charge_taxes": true,
    "tax_scheme_id": "string",
    "tags": [
      "string"
    ],
    "seo_title": "string",
    "seo_description": "string",
    "seo_keywords": "string",
    "images": [],
    "featured_image": {},
    "attachment_count": 0,
    "sold_out_behaviour": "string",
    "auto_enable": true,
    "auto_enable_datetime": "2019-08-24T14:15:22Z",
    "auto_disable": true,
    "auto_disable_datetime": "2019-08-24T14:15:22Z",
    "auto_hide": true,
    "auto_hide_datetime": "2019-08-24T14:15:22Z",
    "requires_deposit": true,
    "deposit_amount": 0,
    "deposit_type": "string",
    "collections": [
      {}
    ],
    "aggregated": true,
    "subproducts": {}
  }
]
Empty